Package com.verisign.epp.codec.registry.v02

## Class EPPRegistryCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd
    - - com.verisign.epp.codec.registry.v02.EPPRegistryCheckCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryCheckCmd
      extends EPPCheckCmd

  Represents an EPP Registry <check> command, which is used to determine if a zone name is known to the server. The <registry:check> element MUST contain the following child elements:
  - One or more <registry:name> elements that contain the fully qualified name of the queried zones. Use `getNames` and `setNames` to get and set the elements. Use `addName` to add a name to existing list or use `setName` to set an individual name.
  `EPPRegistryCheckResp` is the concrete `EPPReponse` associated with `EPPRegistryCheckCmd`.
  See Also:
    `EPPRegistryCheckResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPRegistryCheckCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPRegistryCheckCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryCheckCmd()` | `EPPRegistryCheckCmd` default constructor.
    `EPPRegistryCheckCmd​(java.lang.String aTransId, EPPRegistryZoneName aName)` | `EPPRegistryCheckCmd` constructor that will check an individual zone name.
    `EPPRegistryCheckCmd​(java.lang.String aTransId, java.lang.String aName)` | `EPPRegistryCheckCmd` constructor that will check an individual zone name.
    `EPPRegistryCheckCmd​(java.lang.String aTransId, java.util.List<EPPRegistryZoneName> aNames)` | `EPPRegistryCheckCmd` constructor that will check a list of zone names.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addName​(EPPRegistryZoneName aName)` | Append an zone name to the name `List` to check.
    `void` | `addName​(java.lang.String aName)` | Append an aLabel zone name to the name `List` to check.
    `java.lang.Object` | `clone()` | Clone `EPPRegistryCheckCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPRegistryCheckCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPRegistryCheckCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPRegistryCheckCmd` with this instance.
    `java.lang.String` | `getKey()` | Gets the key for the registry object, which is the zone name.
    `java.util.List<EPPRegistryZoneName>` | `getNames()` | Get zone names to check.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPRegistryCheckCmd` .
    `void` | `setName​(EPPRegistryZoneName aName)` | Set an individual zone name to check.
    `void` | `setName​(java.lang.String aName)` | Set an individual aLabel zone name to check.
    `void` | `setNames​(java.util.List<EPPRegistryZoneName> aNames)` | Set zone names to check.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryCheckCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryCheckCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryCheckCmd

          public EPPRegistryCheckCmd()

      `EPPRegistryCheckCmd` default constructor. It will set the names attribute to an empty `List`.

    - #### EPPRegistryCheckCmd

          public EPPRegistryCheckCmd​(java.lang.String aTransId,
                                     java.lang.String aName)

      `EPPRegistryCheckCmd` constructor that will check an individual zone name.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - aLabel zone name to check

    - #### EPPRegistryCheckCmd

          public EPPRegistryCheckCmd​(java.lang.String aTransId,
                                     EPPRegistryZoneName aName)

      `EPPRegistryCheckCmd` constructor that will check an individual zone name.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - zone name to check

    - #### EPPRegistryCheckCmd

          public EPPRegistryCheckCmd​(java.lang.String aTransId,
                                     java.util.List<EPPRegistryZoneName> aNames)

      `EPPRegistryCheckCmd` constructor that will check a list of zone names.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aNames` - `List` of zone name `String` instances.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPRegistryCheckCmd` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the registry object, which is the zone name.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The zone name if set with a single value; `null` otherwise.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPRegistryCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCheckCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryCheckCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPRegistryCheckCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryCheckCmd` instance.
      Specified by:
        `doEncode` in class `EPPCheckCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryCheckCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryCheckCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCheckCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getNames

          public java.util.List<EPPRegistryZoneName> getNames()

      Get zone names to check.
      Returns:
        `List` of zone name `EPPRegistryZoneName`'s

    - #### setNames

          public void setNames​(java.util.List<EPPRegistryZoneName> aNames)

      Set zone names to check.
      Parameters:
        `aNames` - `List` of zone name `EPPRegistryZoneName`'s

    - #### setName

          public void setName​(java.lang.String aName)

      Set an individual aLabel zone name to check. This method clears existing zone name `List`.
      Parameters:
        `aName` - aLabel zone name to check

    - #### setName

          public void setName​(EPPRegistryZoneName aName)

      Set an individual zone name to check. This method clears existing zone name `List`.
      Parameters:
        `aName` - zone name to check

    - #### addName

          public void addName​(java.lang.String aName)

      Append an aLabel zone name to the name `List` to check. This method does NOT clear existing zone name `List`.
      Parameters:
        `aName` - aLabel zone name to append

    - #### addName

          public void addName​(EPPRegistryZoneName aName)

      Append an zone name to the name `List` to check. This method does NOT clear existing zone name `List`.
      Parameters:
        `aName` - Zone name to append